Skip to main content
GET
/
v1
/
agreements
/
{uuid}
Get Agreement
curl --request GET \
  --url https://api.dispersed.com/v1/agreements/{uuid}
{
  "version": 123,
  "title": "<string>",
  "effective_date": "2023-11-07T05:31:56Z",
  "content_url": "<string>",
  "object": "agreement",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "document_url": "<string>",
  "document_hash": "<string>",
  "applicable_roles": [],
  "created_by_account_uuid": "<string>"
}

Path Parameters

uuid
string<uuid>
required

Response

Agreement details

type
enum<string>
required
Available options:
PRIVACY_POLICY,
TERMS_AND_CONDITIONS
version
integer
required
title
string
required
effective_date
string<date-time> | null
required
content_url
string
required
object
enum<string>
required
Available options:
agreement
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
uuid
string | null
document_url
string | null
document_hash
string | null
applicable_roles
enum<string>[]
Available options:
ADMIN,
NODE_OPERATOR,
OPS,
SERVICE_CONSUMER,
STAFF
created_by_account_uuid
string | null